<?php
/**
* @package NeoLatestNews
* @copyright Copyright (C) 2004 - 2009 Neoweb. All rights reserved.
* @license GNU/GPL
* @version 1.4.1
* @author NeoJoomla
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Show output module with mootools accordion effect
$mainframe->addCustomHeadTag( '<script type="text/javascript" src="'.JURI::Base().DS.'media'.DS.'system'.DS.'js'.DS.'mootools.js"></script>' );
?>

<script type="text/javascript">
	window.addEvent('domready', function() {
		
		var accordion = new Accordion('h4.atStart', 'div.atStart', {
			opacity: false
		}, $('accordion<?php echo $moduleid; ?>'));
	});
</script>

<div id="accordion<?php echo $moduleid; ?>">
	<?php 
	for ( $i=0; $i < $count; $i++ ) {
		
		//Reorder items, by default or randomly
		$row = modNeoLatestNewsHelper::sortItem( $i, $rows );	
		$img = modNeoLatestNewsHelper::getImage( $row );
		
		echo modNeoLatestNewsHelper::displayTitle( $row ); ?>
		
		<div class="element atStart">
			<?php 
			echo modNeoLatestNewsHelper::displayArticleInfos( $row );
			
			if ( $img && $images_position == 'column') {			
				echo '<div style="float:left; width:30%;">';
				echo modNeoLatestNewsHelper::displayImage( $img );		
				echo '</div>';
			}
			if ( $img && $images_position == 'column') {			
				echo '<div style="float:left; width:'. ($img ? '70%' : '100%') .';">';
			}
			if ( $img && $images_position != 'column' && $images_position != 'outertop' ) {
				echo modNeoLatestNewsHelper::displayImage( $img );	
			}
			
			echo modNeoLatestNewsHelper::displayIntro( $row );
			echo modNeoLatestNewsHelper::displayReadmore( $row );
			
			if( $img && $images_position == 'column') {
				echo '</div>';
				echo '<div class="clr"></div>';
			}
			echo modNeoLatestNewsHelper::displaySeperator();
			?>
		</div>
		<?php 
	}
	
	echo modNeoLatestNewsHelper::displayReadall( $row );		
	?>
</div>