<?php 
/**
* @package NeoLatestNews
* @copyright Copyright (C) 2004 - 2009 Neoweb. All rights reserved.
* @license GNU/GPL
* @version 1.4.1
* @author NeoJoomla
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Show output default module
$colNumber	= modNeoLatestNewsHelper::getColumnNumber( $count );
$colStyle	= 'style="float:left; width:'.round( (100/$colNumber)-2 ).'%;"';
$startLeading 	= $leading;
$startIntro 	= $intro;
$startLinks 	= $links;

for ( $i=0; $i < $count; $i++ ) {
	
	$row = modNeoLatestNewsHelper::sortItem( $i, $rows );	//Reorder items, by default or randomly
	
	// Display output module as default
	if ( $leading > 0 ) {
		if( $leading == $startLeading ) echo '<ul class="leading'. $listclass_sfx .'">';
		echo '<li '. $listclass_sfx .'">';
	} elseif ( $intro > 0 ) {
		if( $intro == $startIntro ) echo '<ul class="intro'. $listclass_sfx .'">';
		echo '<li '. ($colNumber > 1 ? $colStyle : '') .'>';
	} elseif ( $links > 0 ) {
		if( $links == $startLinks ) echo '<div class="more-articles"><span class="more-title">'. JText::_('More articles&hellip;').'</span><ul class="more'. $listclass_sfx .'" style="clear:left;">';
		echo '<li '. ($i%2 ? 'class="row1"' : 'class="row2"') .'>';
	}
	
	// Displaying for introduction texts, leading texts OR single links
	if ( $leading > 0 || $intro > 0 ) {
		
		$img = modNeoLatestNewsHelper::getImage($row);
		
		if ( $img && $images_position == 'outertop' ) {
			echo modNeoLatestNewsHelper::displayImage( $img );	
		}		
		if ( $img && $images_position == 'column') {			
			echo '<div style="float:left; width:30%;">';
				echo modNeoLatestNewsHelper::displayImage( $img );		
			echo '</div>';
		}
		if ( $img && $images_position == 'column') {			
			echo '<div style="float:left; width:'. ( $img ? '70%' : '100%' ) .';">';
		}
		
		echo modNeoLatestNewsHelper::displayTitle( $row );
		echo modNeoLatestNewsHelper::displayArticleInfos( $row );
		
		if ( $img && $images_position != 'column' && $images_position != 'outertop' ) {
			echo modNeoLatestNewsHelper::displayImage( $img );	
		}
		
		echo modNeoLatestNewsHelper::displayIntro( $row );
		echo modNeoLatestNewsHelper::displayReadmore( $row );
		
		if ( $img && $images_position == 'column') {			
			echo '</div>';
			echo '<div class="clr"></div>';
		}
		
	} else {
		//Single links
		echo modNeoLatestNewsHelper::displayTitle( $row );
	}

	echo '<div class="clr"></div>';
	
	// Clear floatdiv and display seperator if required
	if ( $i < $count && ($i+1)%$colNumber == 0 )	{
		echo modNeoLatestNewsHelper::displaySeperator();
	}
	
	if ( $leading > 0 ) {
		$leading--;
		echo '</li>';
		if( $leading == 0) echo '</ul>';
	} elseif ( $intro > 0 ) {
		$intro--;
		echo '</li>';
		if( $intro == 0) echo '</ul>';
	} elseif ( $links > 0 ) {
		$links--;
		echo '</li>';
		if( $links == 0) echo '</ul>';
	}	
}

echo modNeoLatestNewsHelper::displayReadall( $row );
?>