<?php
/**
* @package NeoLatestNews
* @copyright Copyright (C) 2004 - 2009 Neoweb. All rights reserved.
* @license GNU/GPL
* @version 1.4.1
* @author NeoJoomla
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//Show output module with jQuery.SerialScroll effect 
$mainframe->addCustomHeadTag( '<script type="text/javascript" src="'.JURI::Base().DS.'modules'.DS.'mod_neolatestnews'.DS.'js'.DS.'jquery-1.2.6.min.js"></script>' );
$mainframe->addCustomHeadTag( '<script type="text/javascript" src="'.JURI::Base().DS.'modules'.DS.'mod_neolatestnews'.DS.'js'.DS.'jquery.scrollTo-min.js"></script>' );
$mainframe->addCustomHeadTag( '<script type="text/javascript" src="'.JURI::Base().DS.'modules'.DS.'mod_neolatestnews'.DS.'js'.DS.'jquery.serialScroll-min.js"></script>' );
?>
<script type="text/javascript">	
	var jQu = jQuery.noConflict();	
	jQu.easing.easeOutQuart = function (x, t, b, c, d) {
		return -c * ((t=t/d-1)*t*t*t - 1) + b;
	};
	jQu( function($) {
		
		jQu('#hscroll<?php echo $moduleid; ?>').serialScroll({
			target:'#sections<?php echo $moduleid; ?>',
			items:'li.item',
			prev:'a.prev',
			next:'a.next',
			axis:'x',
			duration:1200,
			step:1,
			
			onBefore:function( e, elem, $pane, $items, pos ){
				e.preventDefault();
				if( this.blur )
					this.blur();
			},
		});
	
	});
</script>

<div id="hscroll<?php echo $moduleid; ?>" class="hscroll">
	
	<div id="sections<?php echo $moduleid; ?>" class="sections" style="width:<?php echo $scroll_width + $scroll_padding; ?>px; height:<?php echo $scroll_height + $scroll_padding;?>px">
		<ul>
		<?php
		for ( $i=0; $i < $count; $i++ ) {
			
			$row = modNeoLatestNewsHelper::sortItem( $i, $rows );	//Reorder items, by default or randomly
			
			$iprev 	  = $i;
			$icurrent = ($i+1);
			$inext 	  = ($i+2);
			?>
			
			<li class="item" style="width:<?php echo $scroll_width; ?>px; height:<?php echo $scroll_height;?>px">
				<?php
				echo modNeoLatestNewsHelper::displayTitle( $row );
				echo modNeoLatestNewsHelper::displayArticleInfos( $row );
				echo modNeoLatestNewsHelper::displayIntro( $row );
				echo modNeoLatestNewsHelper::displayReadmore( $row );
				?>
			</li>
			
		<?php } ?>
		</ul>
	</div>
	
	<div class="sections-nav">
		<a href="#" class="prev"><?php echo JText::_( 'Previous article' ); ?></a>
		<a href="#" class="next"><?php echo JText::_( 'Next article' ); ?></a>
	</div>
	
	<?php echo modNeoLatestNewsHelper::displayReadall( $row ); ?>
</div>